# com.google.android.exoplayer2.source.ads

## Interfaces

- AdsLoader
- AdsLoader.AdViewProvider
- AdsLoader.EventListener

## Classes

- AdPlaybackState
- AdPlaybackState.AdGroup
- AdsLoader.OverlayInfo
- AdsMediaSource
- SinglePeriodAdTimeline

## Exceptions

- AdsMediaSource.AdLoadException

## Annotation Types

- AdPlaybackState.AdState
- AdsLoader.OverlayInfo.Purpose
- AdsMediaSource.AdLoadException.Type